/**
 * 
 */
package ru.amse.ksenofontova.jina;

import java.util.Locale;
import java.util.TimeZone;

/**
 * This interface used only for storing parameters of the hole application 
 * such as Locale, TimeZone, files' names etc.
 * @author Eugenia
 *
 */
public interface MainParameters {
    
    public static final String MainWindowTitle = "Jina";
    
    public static final String UserHomePath = System.getProperty("user.home") + "/.Jina";
    
    public static final String StorageFileName = UserHomePath + "/taskList.jcal";
    public static final String ViewParametersFileName = UserHomePath + "/viewParameters.config";
    public static final String MainWindowParametersFileName = UserHomePath + "/mainWindowParameters.config";
        
    public static final String IMAGES_PATH 
        = "/ru/amse/ksenofontova/jina/view/images/"; 
    

    public static final Locale CurrentLocale = Locale.UK;
    public static final TimeZone CurrentTimeZone = TimeZone.getDefault();

    public static final int DistanceBetweenSimilarElements = 5;
    public static final int DistanceBetweenOrdinaryElements = 12;
    public static final int DistanceBetweenDifferentElements = 17;    
       
}
