/**
 * Contains classes for reading and writing objects.
 */
package ru.amse.ksenofontova.jina.io;

/**
 * This <code>Exception</code> is to be thrown when there are some problems
 * with loading data (some other Exceptions in loading mechanism occurs).
 * @author Eugenia
 *
 */
@SuppressWarnings("serial")
public class LoadException extends Exception {
    /**
     * Message indicates problem with reading data in common.
     */
    public static final String MESSAGE = "Unable to load data!";
    
    /**
     * Constructs a new LoadException by calling parent's constructor 
     * with the message specified by {@link LoadException#MESSAGE}
     * @see java.lang.Exception.Exception(String message)
     */
    public LoadException() {
        super(MESSAGE);
    }
    
    /**
     * Constructs a new LoadException by calling parent's constructor 
     * with the detail message specified by {@link LoadException#MESSAGE} 
     * and two given parameters.
     * @param fileName name of file which is used to read data from.
     * @param message the detail message indicates concrete problem with reading
     * @see java.lang.Exception.Exception(String message)
     */
    public LoadException(String message) {
        super(MESSAGE + "\n" + message);
    }

}
