/**
 * Contains classes for reading and writing objects.
 */
package ru.amse.ksenofontova.jina.io;

/**
 * This <code>Exception</code> is to be thrown when there are some problems
 * with saving data (not enought memory on disc).
 * @author Eugenia
 *
 */
@SuppressWarnings("serial")
public class SaveException extends Exception {
    /**
     * Message indicates problem with writing data in common.
     */
    public static final String MESSAGE = "Unable to save data! ";
    
    /**
     * Constructs a new SaveException by calling parent's constructor 
     * with the message specified by {@link SaveException#MESSAGE}
     * @see java.lang.Exception.Exception(String message)
     */
    public SaveException() {
        super(MESSAGE);
    }
    
    /**
     * Constructs a new SaveException by calling parent's constructor 
     * with the detail message specified by {@link SaveException#MESSAGE} 
     * and given parameter.
     * @param message the detail message indicates concrete problem with writing
     * @see java.lang.Exception.Exception(String message)
     */
    public SaveException(String message) {
        super(MESSAGE + "\n" + message);
    }

}
