/**
 * Contains classes for reading and writing objects.
 */
package ru.amse.ksenofontova.jina.io;

/**
 * This interface only used for storing String constants which are the tag 
 * names used for reading/writing ViewParameters' fields from/to XML-file
 * @author Eugenia
 *
 */
public interface ViewParametersIOConstants {
    // --- Color attributes
    String RED_TAG_NAME = "r";
    String GREEN_TAG_NAME = "g";
    String BLUE_TAG_NAME = "b";
    String ALPHA_TAG_NAME = "a";
    
    // --- Font attributes
    String FONT_NAME_TAG_NAME = "name";
    String FONT_STYLE_TAG_NAME = "style";
    String FONT_SIZE_TAG_NAME = "size";
    
    // --- Root Element
    String VIEW_PARAMETERS_TAG_NAME = "viewParameters";
    
    String FIRST_VISIBLE_DATE_TAG_NAME = "firstVisibleDate";
    
    String SCALE_TAG_NAME = "scale";
    String BORDER_COLOR_TAG_NAME = "borderColor";
    String GRID_COLOR_TAG_NAME = "gridColor"; 
    String TODAY_GRID_COLOR_TAG_NAME = "todayGridColor";   
    
    String VIEW_FONT_COLOR_TAG_NAME = "viewFontColor";
    String WEEKEND_FONT_COLOR_TAG_NAME = "weekendFontColor";
    String VIEW_BACKGROUND_COLOR_TAG_NAME = "viewBackgroundColor";
        
    String WORK_DAY_TASKS_PANEL_BACKGROUND_COLOR_TAG_NAME = "workDayTasksPanelBackgroundColor";
    String WEEKEND_TASKS_PANEL_BACKGROUND_COLOR_TAG_NAME = "weekendTasksPanelBackgroundColor";
    String PAST_TASKS_PANEL_BACKGROUND_COLOR_TAG_NAME = "pastTasksPanelBackgroundColor";
    
    String TASK_BORDER_COLOR_TAG_NAME = "taskBorderColor";    
    
    String SELECTED_TASK_BACKGROUND_COLOR_TAG_NAME = "selectedTaskBackgroundColor";
    String SELECTED_TASK_FONT_COLOR_TAG_NAME = "selectedTaskFontColor";
    
    String TASK_BACKGROUND_COLOR_TAG_NAME = "taskBackgroundColor";    
    String TASK_FONT_COLOR_TAG_NAME = "taskFontColor";
    
    String TASK_FONT_TAG_NAME = "taskFont"; 

}
