/**
 * Contains representations of tasks which user can plan.
 */
package ru.amse.ksenofontova.jina.model;

/**
 * Indicates whether planning ITask instance is a task for some days 
 * or a task for some hours during one day.
 * @author Eugenia
 * 
 */
public enum Identity {
    /**
     * Indicates that task is planning for one or more days, i.e. will last
     * some integer count of days. 
     */
    DAY_TASK,
    
    /**
     * Indicates that task is planning for one or morehours during one day,
     * i.e. will last some integer count of hours less then 24.
     */
    TIME_TASK;
}
