package ru.amse.ksenofontova.jina.tests;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

import org.junit.BeforeClass;
import org.junit.Test;

import ru.amse.ksenofontova.jina.MainWindowParameters;
import ru.amse.ksenofontova.jina.io.MainWindowParametersWriter;
import ru.amse.ksenofontova.jina.io.SaveException;

public class MainWindowParametersWriterTest extends MainWindowParametersIOTestsParameters {
    
    @BeforeClass
    public static void setUpBeforeClass() throws Exception {        
        System.setProperty("line.separator", "\n");
    }
    
    @Test
    public void testDefault() { 
        String fileName = TESTS_PATH + "MWP-default.config";
        String testFileName = TESTS_PATH + "MWP-default-test.config";
        MainWindowParametersWriter writer = new MainWindowParametersWriter(testFileName);
        restoreDefaults();
        try {
            writer.write();
        } catch( SaveException e ) {
            fail(e.getMessage());
        }
        FileComparator fc = new FileComparator(testFileName, fileName);
        assertTrue(fc.compare());
    }
    
    @Test
    public void testSize() { 
        String fileName = TESTS_PATH + "MWP-Size.config";
        String testFileName = TESTS_PATH + "MWP-Size-test.config";
        MainWindowParametersWriter writer = new MainWindowParametersWriter(testFileName);
        MainWindowParameters.Location = MainWindowParameters.DEFAULT_LOCATION;
        MainWindowParameters.Size = TEST_SIZE;
        try {
            writer.write();
        } catch( SaveException e ) {
            fail(e.getMessage());
        }
        MainWindowParameters.Size = MainWindowParameters.DEFAULT_SIZE;
        FileComparator fc = new FileComparator(testFileName, fileName);
        assertTrue(fc.compare());
    }
    
    @Test
    public void testLocation() { 
        String fileName = TESTS_PATH + "MWP-Location.config";
        String testFileName = TESTS_PATH + "MWP-Location-test.config";
        MainWindowParametersWriter writer = new MainWindowParametersWriter(testFileName);
        MainWindowParameters.Size = MainWindowParameters.DEFAULT_SIZE;
        MainWindowParameters.Location = TEST_LOCATION;
        try {
            writer.write();
        } catch( SaveException e ) {
            fail(e.getMessage());
        }
        MainWindowParameters.Location = MainWindowParameters.DEFAULT_LOCATION;
        FileComparator fc = new FileComparator(testFileName, fileName);
        assertTrue(fc.compare());
    }

}
