/**
 * 
 */
package ru.amse.ksenofontova.jina.tests;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

import java.util.Date;

import org.junit.BeforeClass;
import org.junit.Test;

import ru.amse.ksenofontova.jina.io.SaveException;
import ru.amse.ksenofontova.jina.io.TasksWriter;
import ru.amse.ksenofontova.jina.model.DateUtil;
import ru.amse.ksenofontova.jina.model.IRepositopyManager;
import ru.amse.ksenofontova.jina.model.ITask;
import ru.amse.ksenofontova.jina.model.impl.RepositoryManagerFactory;

/**
 * @author Eugenia
 *
 */
public class TasksWriterTest implements TestsParameters {
    
    @BeforeClass
    public static void setUpBeforeClass() throws Exception {
        System.setProperty("line.separator", "\n");
    }
    
    @Test
    public void testWriteEmpty() {
        String fileName = TESTS_PATH + "T-empty.jcal";
        String testFileName = TESTS_PATH + "T-empty-test.jcal";
        TasksWriter writer = new TasksWriter(testFileName);
        IRepositopyManager rm = RepositoryManagerFactory
            .createRepositoryManager();  
        try {
            writer.write(rm);
        } catch( SaveException e ) {
            fail(e.getMessage());
        }        
        FileComparator fc = new FileComparator(testFileName, fileName);
        assertTrue(fc.compare());
    }
    
    @Test
    public void testWriteDefault() {
        String fileName = TESTS_PATH + "T-1DefaultTask.jcal";
        String testFileName = TESTS_PATH + "T-1DefaultTask-test.jcal";
        TasksWriter writer = new TasksWriter(testFileName);
        IRepositopyManager rm = RepositoryManagerFactory
            .createRepositoryManager(); 
        
        Date date = DateUtil.newDate(2007, 5, 8);
        ITask task = rm.createDayTask(date, date, "Input text");
        rm.add(task);
        
        try {
            writer.write(rm);
        } catch( SaveException e ) {
            fail(e.getMessage());
        }        
        FileComparator fc = new FileComparator(testFileName, fileName);
        assertTrue(fc.compare());
    }

}
