/**
 * 
 */
package ru.amse.ksenofontova.jina.view;

import java.awt.Graphics;
import java.awt.Graphics2D;
import java.util.Date;

import ru.amse.ksenofontova.jina.model.DateUtil;

/**
 * @author Eugenia
 *
 */
@SuppressWarnings("serial")
/*package*/ class DatesPanel extends FramePanel {
    

    /**
     * 
     */
    public DatesPanel() {
        super();
        setBackground(ViewParameters.ViewBackgroundColor);
    }

    protected void paintComponent(Graphics g) {
        super.paintComponent(g);
        Graphics2D g2D = (Graphics2D)g;        
        drawText(g2D);
    }   

    /**
     * @param g2d
     */
    private void drawText(Graphics2D g2D) {        
        for (int i = 0; i < ViewParameters.getScale(); i++) {
            Date date = DateUtil.addDays(
                ViewParameters.getFirstVisibleDate(), i);
            
            String text = DateUtil.getShortDayOfWeekString(date);
            text += "\n, " + DateUtil.getDay(date);
           
            int x = xCoordinate(i) + ViewParameters.DEFAULT_BORDER_WIDTH;            
            
            if (DateUtil.isWeekend(date)) {
                g2D.setColor(ViewParameters.WeekendFontColor);
            } else {
                g2D.setColor(ViewParameters.ViewFontColor);
            }
            drawText(g2D, text
                , x
                , 2 * ViewParameters.DEFAULT_BORDER_WIDTH
                , xCoordinate(i + 1) - 2 * ViewParameters.DEFAULT_BORDER_WIDTH - x
                , getHeight() - 2 * ViewParameters.DEFAULT_BORDER_WIDTH
                , CENTER_ALIGNMENT);
        }

    }    
}
