/**
 * 
 */
package ru.amse.ksenofontova.jina.view;

import java.awt.Graphics;
import java.awt.Graphics2D;
import java.util.Date;

import ru.amse.ksenofontova.jina.model.DateUtil;

/**
 * @author Eugenia
 * 
 */
@SuppressWarnings("serial")
public class MonthYearPanel extends FramePanel {

    protected void paintComponent(Graphics g) {
        super.paintComponent(g);
        Graphics2D g2D = (Graphics2D) g;        
        
        String header;
        Date lastVisibleDate = DateUtil.addDays(ViewParameters
            .getFirstVisibleDate(), ViewParameters.getScale() - 1);
        String firstMonthStr = DateUtil.getMonthString(ViewParameters
            .getFirstVisibleDate());
        String lastMonthStr = DateUtil.getMonthString(lastVisibleDate);
        int firstYear = DateUtil.getYear(ViewParameters.getFirstVisibleDate());
        if (firstMonthStr == lastMonthStr) {
            header = firstMonthStr + ", " + firstYear;
        } else {
            int lastYear = DateUtil.getYear(lastVisibleDate);
            if (firstYear == lastYear) {
                header = firstMonthStr + " - " + lastMonthStr + ", "
                    + firstYear;
            } else {
                firstMonthStr = DateUtil.getShortMonthString
                    (ViewParameters.getFirstVisibleDate());
                lastMonthStr = DateUtil.getShortMonthString(lastVisibleDate);
                header = firstMonthStr + ", " + firstYear + " - "
                    + lastMonthStr + ", " + lastYear;
            }
        }        
        g2D.setColor(ViewParameters.ViewFontColor);
        drawText(g2D, header
            , ViewParameters.DEFAULT_BORDER_WIDTH
            , ViewParameters.DEFAULT_BORDER_WIDTH
            , getWidth() - 2 * ViewParameters.DEFAULT_BORDER_WIDTH
            , getHeight() - 2 * ViewParameters.DEFAULT_BORDER_WIDTH
            , CENTER_ALIGNMENT);
    }
}
