/**
 * 
 */
package ru.amse.ksenofontova.jina.view.actions;

import java.awt.event.ActionEvent;
import java.util.Date;

import javax.swing.AbstractAction;
import javax.swing.Icon;

import ru.amse.ksenofontova.jina.model.DateUtil;
import ru.amse.ksenofontova.jina.view.View;
import ru.amse.ksenofontova.jina.view.ViewParameters;

/**
 * @author Eugenia
 *
 */
@SuppressWarnings("serial")
public class GoTodayAction extends AbstractAction {
    //private static String goTodayActionName = "Go to today";
    private static String goTodayActionShortDescription = "Go to today";
    private static char goTodayActionMnemonic = 'T';
    private final View myOwner;   
    
    public GoTodayAction(View owner, Icon icon) {
        //super(goTodayActionName);
        putValue(SHORT_DESCRIPTION
            , goTodayActionShortDescription);
        putValue(MNEMONIC_KEY
            , new Integer(goTodayActionMnemonic));
        putValue(SMALL_ICON, icon);
        myOwner = owner;
    }
      
    public void actionPerformed(ActionEvent e) {
        Date today = DateUtil.getToday();
        Date firstVisibleDate = DateUtil.addDays(today
            , -ViewParameters.getScale() / 2);
        ViewParameters.setFirstVisibleDate(firstVisibleDate);
        myOwner.repaint();
    }
    
}
